function [Va] = volumewrite_spm(filename, data, transform)

% VOLUMEWRITE_SPM write a anatomical or functional volume to img/hdr file
% using the SPM toolbox
%
% Use as
%   [Va] = volumewrite_spm(filename, data, transform)

% Copyright (C) 2006, Robert Oostenveld
%
% $Log: volumewrite_spm.m,v $
% Revision 1.1  2006/01/05 13:43:02  roboos
% New function, is used by all functions that write to hdr/img file
% using SPM (volumenormalise, volumesegment and volumewrite).
%

checktoolbox('SPM2', 1);

typ        = spm_type(class(data));
dim        = size(data);
Va         = [];
Va.mat     = transform;
Va.fname   = filename;
Va.dim     = [dim typ];
Va.n       = 1;
Va.pinfo   = [1 0 0]';
Va.private.hdr.dime.datatype = typ;
Va         = spm_create_vol(Va);
Va         = spm_write_vol(Va,data);
